Subject: Re: (urth) Science Fiction or Metaphysical Fiction?

From: Kieran Cleary <kierannwn at tinet.ie>
Date: Wed, 18 Feb 1998 15:19:47 +0000

[Posted from URTH, a mailing list about Gene Wolfe's New Sun and other works]